Summary: Linux kernel module versioning utility
Name: modversions
Version: 1.0
Release: 4%{?dist}.1
License: GPLv2
Group: System Environment/Kernel
URL: http://dup.et.redhat.com/modversions/
Source0: modversions-%{version}.tar.bz2
Source1: weak-modules
Source2: weak-modules.init
Exclusiveos: Linux
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
modversions is a Linux kernel module versioning utility.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT sbindir=/sbin
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/weak-modules
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/sbin/weak-modules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
/sbin/modversions
/sbin/weak-modules
%{_sysconfdir}/rc.d/init.d/weak-modules

%preun
if [ "$1" = "0" ]; then
	/sbin/service weak-modules stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del weak-modules
fi

%post
/sbin/chkconfig --add weak-modules

%changelog
* Thu Dec 13 2007 Jon Masters <jcm@redhat.com> - 1.0-4.el4_6.1
- Bump release for RHEL4.6 EUS.

* Tue Dec 11 2007 Jon Masters <jcm@redhat.com> - 1.0-4.el4
- Cleanup URL tag, check review comments, bump release.

* Fri Dec 07 2007 Jarod Wilson <jwilson@redhat.com> - 1.0-3
- Assorted packaging review fixups.

* Thu Oct 25 2007 Jon Masters <jcm@redhat.com> - 1.0-2
- Add new release of weak-modules initscript.

* Fri Oct 19 2007 Jon Masters <jcm@redhat.com> - 1.0
- Initial release of Linux module versioning utility.
